Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

EzPublishElasticsearchSearchEngineBundle.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Bundle\EzPublishElasticsearchSearchEngineBundle;
8
9 use eZ\Bundle\EzPublishElasticsearchSearchEngineBundle\DependencyInjection\EzPublishElasticsearchSearchEngineExtension;
10 use Symfony\Component\HttpKernel\Bundle\Bundle;
11 use Symfony\Component\DependencyInjection\ContainerBuilder;
12 use eZ\Publish\Core\Base\Container\Compiler\Search\Elasticsearch\AggregateFacetBuilderVisitorPass;
13 use eZ\Publish\Core\Base\Container\Compiler\Search\Elasticsearch\AggregateSortClauseVisitorContentPass;
14 use eZ\Publish\Core\Base\Container\Compiler\Search\Elasticsearch\AggregateSortClauseVisitorLocationPass;
15 use eZ\Publish\Core\Base\Container\Compiler\Search\Elasticsearch\CriterionVisitorDispatcherContentPass;
16 use eZ\Publish\Core\Base\Container\Compiler\Search\Elasticsearch\CriterionVisitorDispatcherLocationPass;
17 use eZ\Publish\Core\Base\Container\Compiler\Search\AggregateFieldValueMapperPass;
18 use eZ\Publish\Core\Base\Container\Compiler\Search\FieldRegistryPass;
19 use eZ\Publish\Core\Base\Container\Compiler\Search\SearchEngineSignalSlotPass;
20
21 class EzPublishElasticsearchSearchEngineBundle extends Bundle
22 {
23 public function build(ContainerBuilder $container)
24 {
25 parent::build($container);
26 $container->addCompilerPass(new AggregateFacetBuilderVisitorPass());
27 $container->addCompilerPass(new AggregateFieldValueMapperPass());
28 $container->addCompilerPass(new AggregateSortClauseVisitorContentPass());
29 $container->addCompilerPass(new AggregateSortClauseVisitorLocationPass());
30 $container->addCompilerPass(new CriterionVisitorDispatcherContentPass());
31 $container->addCompilerPass(new CriterionVisitorDispatcherLocationPass());
32
33 // @todo two passes below should be common for search implementations, so maybe separate or Core bundle
34 $container->addCompilerPass(new FieldRegistryPass());
35 $container->addCompilerPass(new SearchEngineSignalSlotPass('elasticsearch'));
36 }
37
38 public function getContainerExtension()
39 {
40 if (!isset($this->extension)) {
41 $this->extension = new EzPublishElasticsearchSearchEngineExtension();
42 }
43
44 return $this->extension;
45 }
46 }
eZ\Bundle\EzPublishElasticsearchSearchEngineBundle\DependencyInjection\EzPublishElasticsearchSearchEngineExtension
Definition: EzPublishElasticsearchSearchEngineExtension.php:17
eZ\Bundle\EzPublishElasticsearchSearchEngineBundle\EzPublishElasticsearchSearchEngineBundle
Definition: EzPublishElasticsearchSearchEngineBundle.php:22
eZ\Bundle\EzPublishElasticsearchSearchEngineBundle\EzPublishElasticsearchSearchEngineBundle\getContainerExtension
getContainerExtension()
Definition: EzPublishElasticsearchSearchEngineBundle.php:38
eZ\Bundle\EzPublishElasticsearchSearchEngineBundle\EzPublishElasticsearchSearchEngineBundle\build
build(ContainerBuilder $container)
Definition: EzPublishElasticsearchSearchEngineBundle.php:23
eZ\Publish\Core\Base\Container\Compiler\Search\AggregateFieldValueMapperPass
This compiler pass will register Elasticsearch Search Engine field value mappers.
Definition: AggregateFieldValueMapperPass.php:17
eZ\Publish\Core\Base\Container\Compiler\Search\Elasticsearch\AggregateSortClauseVisitorLocationPass
This compiler pass will register Elasticsearch Search Engine sort clause visitors.
Definition: AggregateSortClauseVisitorLocationPass.php:17
eZ\Publish\Core\Base\Container\Compiler\Search\Elasticsearch\AggregateFacetBuilderVisitorPass
This compiler pass will register Elasticsearch Search Engine facet builder visitors.
Definition: AggregateFacetBuilderVisitorPass.php:17
eZ\Publish\Core\Base\Container\Compiler\Search\Elasticsearch\AggregateSortClauseVisitorContentPass
This compiler pass will register Elasticsearch Search Engine sort clause visitors.
Definition: AggregateSortClauseVisitorContentPass.php:17
eZ\Publish\Core\Base\Container\Compiler\Search\Elasticsearch\CriterionVisitorDispatcherLocationPass
This compiler pass will register Elasticsearch Search Engine criterion visitors for Location Search.
Definition: CriterionVisitorDispatcherLocationPass.php:17
eZ\Publish\Core\Base\Container\Compiler\Search\Elasticsearch\CriterionVisitorDispatcherContentPass
This compiler pass will register Elasticsearch Search Engine criterion visitors for Content Search.
Definition: CriterionVisitorDispatcherContentPass.php:17
eZ\Publish\Core\Base\Container\Compiler\Search\FieldRegistryPass
This compiler pass will register eZ Publish indexable field types.
Definition: FieldRegistryPass.php:18
eZ\Publish\Core\Base\Container\Compiler\Search\SearchEngineSignalSlotPass
This compiler pass will attach Search Engine slots to SignalDispatcher.
Definition: SearchEngineSignalSlotPass.php:18
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.